//
//  CBase.cpp
//  Game
//
//  Created by Darvydas on 25/01/2019.
//

#include "Base.hpp"

using namespace cocos2d;

namespace Game
{
    namespace Objects
    {
        CBase *CBase::create() {
            
            CBase *sp = new CBase;
            
            if (sp->init()) {
                
                sp->autorelease();
                
                sp->createVisualElements();
                
                return sp;
            }
            CC_SAFE_DELETE(sp);
            return NULL;
        }
        
        void CBase::createVisualElements()
        {
            
        }
    }
}



